Subject: Re: [PATCH v5 4/7] submodule: add extension to encode gitdir paths

From: Junio C Hamano <[email-masked]>
Date: Sun, 07 Dec 2025 01:38:29 +0900

Patrick Steinhardt <[email-masked]> writes:

> Maybe the right approach would be to tell users to never manually enable
> the extension and instead to provide a command that both:
>
>   - Persists the submodule gitdirs for any populated submodules in the
>     gitconfig.
>
>   - Enables the repsitory extension.
>
> If we had that then we could count on the submodule gitdirs to exist in
> the gitconfig, and if they don't we would die with an error message that
> indicates that the repository is broken, maybe even with a hint for the
> user on how to fix it.

I personally like the simplicity of this approach.

I haven't however thought about operational complexity, if one has
an existing user base that have been using a custom pathname munging
code that needs to be migrated to the new scheme.